package com.coldlightalchemist.notesapp;

import android.os.Bundle;
import android.widget.Button;
import android.widget.EditText;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import com.coldlightalchemist.notesapp.db.NoteDB;
import com.coldlightalchemist.notesapp.db.entities.Note;
import com.google.android.material.snackbar.Snackbar;

public class NewNote extends AppCompatActivity {

    private EditText newNoteTitle;

    private EditText newNoteContent;

    private Button saveNote;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_new_note);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });

        newNoteTitle = (EditText) findViewById(R.id.newNoteTitle);
        newNoteContent = (EditText) findViewById(R.id.newNoteContent);

        saveNote = (Button) findViewById(R.id.saveNote);
        saveNote.setOnClickListener((v) -> {
            if(newNoteTitle.getText().toString().isEmpty() || newNoteContent.getText().toString().isEmpty()) {
                Snackbar.make(v, "You must have a title and content", Snackbar.LENGTH_LONG).show();
                return;
            }

            Note note = new Note();
            note.noteTitle = newNoteTitle.getText().toString();
            note.noteContent = newNoteContent.getText().toString();

            NoteDB.getDB(getApplicationContext()).noteDAO().insertAll(note);
            finish();
        });
    }
}